PGPooledConnection
Keywords: org.postgresql.ds.PGPooledConnection class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.ds
Class PGPooledConnection

    java.lang.Object
      org.postgresql.ds.jdbc23.AbstractJdbc23PooledConnection
          org.postgresql.ds.PGPooledConnection

All Implemented Interfaces:
  javax.sql.PooledConnection

    public class PGPooledConnection

extends org.postgresql.ds.jdbc23.AbstractJdbc23PooledConnection
implements javax.sql.PooledConnection

PostgreSQL implementation of the PooledConnection interface. This shouldn't be used directly, as the pooling client should just interact with the ConnectionPool instead.

Author:
  Aaron Mulder (ammulder@chariotsolutions.com), Csaba Nagy (ncsaba@yahoo.com)
See Also:
  `PGConnectionPoolDataSource`

Constructor Summary
`PGPooledConnection(java.sql.Connection con, boolean autoCommit)`
`PGPooledConnection(java.sql.Connection con, boolean autoCommit, boolean isXA)`

Method Summary
`protected javax.sql.ConnectionEvent` | `createConnectionEvent(java.sql.SQLException sqle)`

Methods inherited from class org.postgresql.ds.jdbc23.AbstractJdbc23PooledConnection
`addConnectionEventListener, close, getConnection, removeConnectionEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.PooledConnection
`addConnectionEventListener, close, getConnection, removeConnectionEventListener`

Constructor Detail

### PGPooledConnection

    public PGPooledConnection(java.sql.Connection con,
                              boolean autoCommit,
                              boolean isXA)

### PGPooledConnection

    public PGPooledConnection(java.sql.Connection con,
                              boolean autoCommit)

Method Detail

### createConnectionEvent

    protected javax.sql.ConnectionEvent createConnectionEvent(java.sql.SQLException sqle)

  Specified by:
    `createConnectionEvent` in class `org.postgresql.ds.jdbc23.AbstractJdbc23PooledConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD